Subject: Re: symlinks don't work on samba mounted dir
From: [email-masked] (Samuel James Liddicott)

1 Apr 1998 06:52:38 -0800
Message-ID: <[email-masked]>
Mime-Version: 1.0
Content-Type: text/plain;
	charset="iso-8859-1"
Content-Transfer-Encoding: 7bit
To: Stuart Adams <[email-masked]>, [email-masked]

-----Original Message-----
From: Stuart Adams <[email-masked]>
To: [email-masked] <[email-masked]>
Date: 27 March 1998 04:22
Subject: symlinks don't work on samba mounted dir

>Symlinks don't seem to work on a remote (samba)
>mounted file system. If I do ln -s a b, then say cat b
>I get !<symlink>a.
>
>I mounted the dir with:
>  mount -b m:/gnu /gnu

Of course.  Cygwin symlinks are fake symlinks that cygwin understands.
Samba doesn't allow creation of symlinks by Samba clients.  But this is OK,
because Cygwin makes normal files but with magic contents so it can detect
that the file is symlink.

Sam Liddicott                   |   Nothing I say is to be attributed as |
Campbell Scientific Ltd.        | a company statement or representation. |
Campbell Park, 80 Hathern Road, *----------------------------------------+
Shepshed, Leic. United Kingdom. LE12 9AL        Phone: +44 (0) 1509 601141
Email: [email-masked]                    Fax:   +44 (0) 1509 601091

-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".